#
# spec file for package kinternet (Version 0.40)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam freetype2 gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sgmltool sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sgmltool sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kinternet
Copyright:    SuSE GmbH
Group:        X11/KDE/Applications
Summary:      SuSE internet connecting tool
Requires:     smpppd
Obsoletes:    kinternet-soho
Version:      0.40
Release:      94
Source0:      kinternet-%{PACKAGE_VERSION}.tar.bz2

%description
This small KDE application can trigger an internet connection and controls a
web cache.

Authors:
--------
    Arvin Schnell <arvin@suse.de> 
    Adrian Schrter <adrian@suse.de> 
    Thomas Strehl <strehl@suse.de> 
    Stefan Rauch <srauch@suse.de> 
    

SuSE series: k2de

%prep
%setup -n kinternet-%{PACKAGE_VERSION}

%build
%{?suse_update_config:%{suse_update_config -f . }}
make -f Makefile.cvs
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
./configure --prefix=/opt/kde2 --with-qt-dir=/usr/lib/qt2/
touch ./kinternet/Makefile.in --reference=./aclocal.m4
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./doc/en/Makefile.in --reference=./aclocal.m4
touch ./doc/de/Makefile.in --reference=./aclocal.m4
touch ./doc/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
make

%install
make install-strip
# adrian needs this in the startkde script
echo "%{PACKAGE_VERSION}" > /opt/kde2/share/apps/kinternet/version

%files
%doc COPYING AUTHORS INSTALL README
%docdir /usr/doc
%docdir /usr/share/doc
%docdir /usr/share/man
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Internet
%dir /opt/kde2/share/apps/kinternet
%dir /opt/kde2/share/apps/kinternet/pics
/opt/kde2/bin/kinternet
/opt/kde2/share/applnk/Internet/kinternet.desktop
/opt/kde2/share/apps/kinternet/pics/*.png
/opt/kde2/share/apps/kinternet/version
/opt/kde2/share/locale/*/LC_MESSAGES/kinternet.mo
%docdir /opt/kde2/share/doc/HTML/en/kinternet
%docdir /opt/kde2/share/doc/HTML/de/kinternet
%doc /opt/kde2/share/doc/HTML/en/kinternet/*.html
%doc /opt/kde2/share/doc/HTML/de/kinternet/*.html

%changelog -n kinternet
* Tue Oct 09 2001 - arvin@suse.de
- fixed segmentation fault on ppc
* Mon Oct 08 2001 - adrian@suse.de
- add hungarian translation
* Thu Sep 20 2001 - arvin@suse.de
- use private port number 53163
* Wed Sep 12 2001 - arvin@suse.de
- added french translation
* Mon Sep 10 2001 - arvin@suse.de
- handle case where no defaultroute is present (bug #10399)
* Sun Sep 09 2001 - arvin@suse.de
- corrected some texts
* Fri Sep 07 2001 - arvin@suse.de
- dialog captions
* Thu Sep 06 2001 - arvin@suse.de
- added more error messages (bug #10242)
* Fri Aug 24 2001 - arvin@suse.de
- added file /opt/kde2/share/apps/kinternet/version (for adrian)
* Thu Aug 23 2001 - arvin@suse.de
- added dialog for various settings
* Tue Aug 21 2001 - arvin@suse.de
- changed protocol
* Mon Aug 20 2001 - arvin@suse.de
- better detection for kicker
* Mon Aug 20 2001 - arvin@suse.de
- new error icon
* Wed Aug 15 2001 - arvin@suse.de
- added possibility to start a script or program (bug #6898)
* Tue Aug 14 2001 - arvin@suse.de
- display own ip address in check dialog
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu Aug 09 2001 - arvin@suse.de
- fixed communication with server
* Wed Aug 08 2001 - arvin@suse.de
- fixed to build with new kde, autoconf, ...
* Thu Jul 26 2001 - arvin@suse.de
- some new icons from tackat
- fixed background in kde2 kicker
* Mon Jul 23 2001 - arvin@suse.de
- implemented datarate dialog
* Tue Jul 17 2001 - arvin@suse.de
- kinternet is now a frontend for smpppd
- new major version 0.40
* Sat Jul 07 2001 - arvin@suse.de
- neededforbuild += freetype2
* Mon Jul 02 2001 - adrian@suse.de
- autoconf 2.50 fixes
- dropped documentation until kdelibs 2.2
* Tue May 08 2001 - arvin@suse.de
- replaced all email addresses with feedback@suse.de (as adrian
  demanded)
* Tue Apr 24 2001 - arvin@suse.de
- disabled use ipppdsp entirely
* Fri Apr 20 2001 - arvin@suse.de
- only call ipppdsd for SuSE Linux < 7.2
* Fri Apr 20 2001 - arvin@suse.de
- removed killipppd (it's also in i4l)
- added handling of exit code 10, 12 and 15 of pppd
* Wed Apr 18 2001 - arvin@suse.de
- fixed some bugs in ipppdsd and kinternet (still for bug #6169)
- added error messages to ipppdsd
* Tue Apr 17 2001 - arvin@suse.de
- added wrapper program ipppdsp and modified kinternet to use it
  (fix for bug #6169)
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Thu Mar 22 2001 - arvin@suse.de
- integrated korean localization by super@susekorea.net
* Mon Mar 19 2001 - arvin@suse.de
- integrated swallow patch by adrian
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Fri Feb 16 2001 - arvin@suse.de
- interprete names of providers as utf8 strings (bug #6362)
* Wed Feb 14 2001 - arvin@suse.de
- version 0.21
- automatic reload of /etc/rc.dialout finished
* Wed Feb 07 2001 - arvin@suse.de
- started work on automatic reload of /etc/rc.dialout
* Mon Feb 05 2001 - arvin@suse.de
- fixed CXXFLAGS (needed for ppc)
* Sat Jan 20 2001 - arvin@suse.de
- fixed race condition during start of KDE2
* Wed Jan 17 2001 - arvin@suse.de
- fixed lookup of default provider
* Tue Jan 16 2001 - arvin@suse.de
- fixed /sbin/init.d/* -> /usr/sbin/rc* (bug #5754)
* Mon Jan 08 2001 - arvin@suse.de
- fixed documentation (bug #5302)
* Sun Jan 07 2001 - arvin@suse.de
- fixed icon for kde2 menu
* Thu Jan 04 2001 - arvin@suse.de
- fixed parsing of /etc/rc.dialout
* Mon Dec 18 2000 - arvin@suse.de
- fixed segfault problem with ISDN
* Thu Dec 14 2000 - arvin@suse.de
- use kdesu to call yast2
* Wed Dec 13 2000 - arvin@suse.de
- parsing function for new layout of rc.dialout
- some example configurations (started)
* Mon Dec 11 2000 - arvin@suse.de
- mode TDSL can also be called ADSL
* Sun Dec 10 2000 - arvin@suse.de
- added mini icon to filelist
* Tue Dec 05 2000 - arvin@suse.de
- colored background of icon depending on status
* Tue Nov 28 2000 - arvin@suse.de
- fixed call of yast2 for 7.0
* Mon Nov 27 2000 - arvin@suse.de
- fixed call of yast2
* Tue Nov 21 2000 - arvin@suse.de
- fixed encoding for german translation
* Mon Nov 20 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel  (again)
* Mon Nov 20 2000 - arvin@suse.de
- works on 7.0
- more than one provider (in preparation)
* Tue Nov 07 2000 - arvin@suse.de
- reactivated pppoedsp
- some small changes
* Mon Nov 06 2000 - arvin@suse.de
- fixed to work with non KDE windowmanagers
- fixed icons
- lots of small stuff
* Mon Nov 06 2000 - adrian@suse.de
- Spec file created from kinternet-0.2.tar.bz2 by autospec
